#!/usr/bin/env python
#
# Program Name : Chatting Client
# Programmer   : Rikih Gunawan
# Email        : dr_slump@gawab.com
#
# Gunadarma University @2001
# Copyleft (c)2004 dr_slump technology
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from socket import *
import sys

class TCPClient:
    def __init__(self):
	if len(sys.argv) != 3:
	    print 'Penggunaan: ' + sys.argv[0] + ' [ip_server] [port]'
	    sys.exit(1)
	else:
	    self.HOST = sys.argv[1]
	    self.PORT = sys.argv[2]
    
    def Create(self):
	try:
	    self.sockTCP = socket(AF_INET,SOCK_STREAM) # Buat socket TCP 
	    self.sockTCP.connect((self.HOST, int(self.PORT)))
	except:
	    print 'Socket error [ip_server dan port harus valid]'
	    sys.exit()
	else:
	    print 'Client Message'	
	    print '--------------'
	    print 'Terhubung ke server %s' % self.HOST
	
    def Send(self):
	try:
	    while 1:	    
		pesan = raw_input('Pesan : ')
		self.sockTCP.send(pesan)
		data = self.sockTCP.recv(1024)
		print data	
	except:
	    self.__del__()
    
    def Run(self):
	self.Create()
	self.Send()
    
    def __del__(self):
	self.sockTCP.close()
	
if __name__ == '__main__':
    msg = TCPClient().Run()
    