#!/usr/bin/env python
#
# Programmer   : Rikih Gunawan
# Email        : dr_slump@gawab.com
#
# Gunadarma University @2001
# Copyleft(c) 2004 dr_slump technology
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from socket import *
import sys
import os

class TCPServer:    
    def __init__(self):
	self.path = '/tmp/sock'
	        
    def Create(self):    
	try:
	    self.sockUnix = socket(AF_UNIX, SOCK_STREAM)       # Buat socket TCP 
	    self.sockUnix.bind(self.path)   # Binding addr dengan port
	    self.sockUnix.listen(1)		             # Listening
	except:	    
	    print 'Socket sudah digunakan...\n\rJika belum, hapus file ' + self.path
	    sys.exit()
	else:			    	    
	    print 'Server Message [tekan Ctrl-C untuk keluar]'
	    print '--------------'
	
    def Accept(self):	
	koneksi, alamat = self.sockUnix.accept()
	print 'Ada koneksi...'
	while 1:
	    try:	    
		data = koneksi.recv(1024)
		print 'Pesan dari client >> ' + str(data)
		if not data: break
		if len(data) > 1:
	    	    koneksi.send('[' + str(data) + '] sudah diterima server.')
	    except:
		break

    def Run(self):
	self.Create()
	self.Accept()
    
    def __del__(self):	    
	self.sockUnix.close()
	os.system('rm -f ' + self.path)
	
if __name__ == '__main__':
    msg = TCPServer().Run()
    