#!/usr/bin/env python
#
# Programmer   : Rikih Gunawan
# Email        : dr_slump@gawab.com
#
# Gunadarma University @2001
# Copyleft(c) 2004 dr_slump technology
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from socket import *
import sys

class ClientWaktu:
    def __init__(self):
	if len(sys.argv) != 3:
	    print "penggunaan: " + sys.argv[0] + " <ip_address> <port>"
	    sys.exit(1)
	else:
	    self.HOST = sys.argv[1]
	    self.PORT = int(sys.argv[2])
	    self.tHostPort = (self.HOST, self.PORT)
	
    def buatSocket(self):
	try:
	    self.tsock = socket(AF_INET, SOCK_DGRAM)
	    print "Hubungi server waktu di " + str(self.tHostPort)
	    self.tsock.connect(self.tHostPort)
	    self.tsock.sendto("", self.tHostPort)
	except:
	    print "Gagal buat socket"
	
    def terimaData(self):
	data, client = self.tsock.recvfrom(100)
	print data
	
    def tutupKoneksi(self):
	print "Tutup koneksi..."
	self.tsock.close()
	
    def __del__(self):
	self.tutupKoneksi()

if __name__ == "__main__" : 
    srv = ClientWaktu()
    srv.buatSocket()
    srv.terimaData()
    
